Page MenuHomePhabricator

stashbot should only comment in phab once when the same task number is referenced twice
Closed, ResolvedPublic

Description

Stashbot commented twice in a situation I would have only expected it to comment once for T219123#5836507 and T219123#5836508

Event Timeline

Addshore created this task.Jan 28 2020, 3:08 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 28 2020, 3:08 PM
Addshore updated the task description. (Show Details)Jan 28 2020, 3:08 PM
bd808 added a subscriber: bd808.Apr 12 2020, 3:08 AM

@Addshore I can't find those anchors on T219123: Migrate to and read from new store for item terms. Can you double check and help me understand what happened and what you expected to happen?

bd808 added a comment.Apr 12 2020, 3:11 AM

From the description here is sounds like someone wrote a message something like !log Did foo for T243843, T243843 and Stashbot didn't de-duplicate that to a single Phabricator update. Is that roughly correct @Addshore?

Change 588130 had a related patch set uploaded (by BryanDavis; owner: Bryan Davis):
[labs/tools/stashbot@master] De-duplicate task ids found in !log messages

https://gerrit.wikimedia.org/r/588130

bd808 claimed this task.Apr 12 2020, 3:34 AM
bd808 moved this task from Backlog to Accepted on the Stashbot board.

Change 588130 merged by jenkins-bot:
[labs/tools/stashbot@master] De-duplicate task ids found in !log messages

https://gerrit.wikimedia.org/r/588130

Mentioned in SAL (#wikimedia-cloud) [2020-04-12T04:11:45Z] <bd808> Hopefully fixed T243843, T243843, T243843, and T243843 (deliberate duplication there folks)

bd808 closed this task as Resolved.Apr 12 2020, 4:12 AM